package frostfsapiclient

import (
	"context"

	oid "git.frostfs.info/TrueCloudLab/frostfs-sdk-go/object/id"
)

// nolint: containedctx
type contextPrm struct {
	ctx context.Context
}

// SetContext sets context.Context used for network communication.
func (x *contextPrm) SetContext(ctx context.Context) {
	x.ctx = ctx
}

type objectAddressPrm struct {
	objAddr oid.Address
}

// SetAddress sets address of the object.
func (x *objectAddressPrm) SetAddress(addr oid.Address) {
	x.objAddr = addr
}

type getObjectPrm struct {
	contextPrm
	objectAddressPrm
}
